Package org.apache.jasper.compiler

## Class ELFunctionMapper

- java.lang.Object
- - org.apache.jasper.compiler.ELFunctionMapper

    public class ELFunctionMapper
    extends java.lang.Object

This class generates functions mappers for the EL expressions in the page. Instead of a global mapper, a mapper is used for each call to EL evaluator, thus avoiding the prefix overlapping and redefinition issues.

Author:
  Kin-man Chung

### Constructor Summary

Constructors
`ELFunctionMapper()`

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `map​(org.apache.jasper.compiler.Node.Nodes page)` Creates the functions mappers for all EL expressions in the JSP page.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ELFunctionMapper

    public ELFunctionMapper()

### Method Detail

#### map

    public static void map​(org.apache.jasper.compiler.Node.Nodes page)
                    throws JasperException

Creates the functions mappers for all EL expressions in the JSP page.

Parameters:
  `page` - The current compilation unit.
Throws:
  `JasperException` - EL error